Upstream information

CVE-2020-13943 at MITRE

Description

If an HTTP/2 client connecting to Apache Tomcat 10.0.0-M1 to 10.0.0-M7, 9.0.0.M1 to 9.0.37 or 8.5.0 to 8.5.57 exceeded the agreed maximum number of concurrent streams for a connection (in violation of the HTTP/2 protocol), it was possible that a subsequent request made on that connection could contain HTTP headers - including HTTP/2 pseudo headers - from a previous request rather than the intended headers. This could lead to users seeing responses for unexpected resources.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  SUSE
Base Score 6.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1177582 [IN_PROGRESS]

No SUSE Security Announcements cross referenced.

List of packages in QA

Product(s) Package(s)
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • tomcat >= 9.0.36-4.47.3
  • tomcat-docs-webapp >= 9.0.36-4.47.3
  • tomcat-embed >= 9.0.36-4.47.3
  • tomcat-javadoc >= 9.0.36-4.47.3
  • tomcat-jsvc >= 9.0.36-4.47.3
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • tomcat >= 9.0.36-3.12.3
  • tomcat-docs-webapp >= 9.0.36-3.12.3
  • tomcat-embed >= 9.0.36-3.12.3
  • tomcat-javadoc >= 9.0.36-3.12.3
  • tomcat-jsvc >= 9.0.36-3.12.3
SUSE Linux Enterprise Module for Web Scripting 15 SP1
  • tomcat >= 9.0.36-4.47.3
  • tomcat-admin-webapps >= 9.0.36-4.47.3
  • tomcat-el-3_0-api >= 9.0.36-4.47.3
  • tomcat-jsp-2_3-api >= 9.0.36-4.47.3
  • tomcat-lib >= 9.0.36-4.47.3
  • tomcat-servlet-4_0-api >= 9.0.36-4.47.3
  • tomcat-webapps >= 9.0.36-4.47.3
SUSE Linux Enterprise Module for Web Scripting 15 SP2
  • tomcat >= 9.0.36-3.12.3
  • tomcat-admin-webapps >= 9.0.36-3.12.3
  • tomcat-el-3_0-api >= 9.0.36-3.12.3
  • tomcat-jsp-2_3-api >= 9.0.36-3.12.3
  • tomcat-lib >= 9.0.36-3.12.3
  • tomcat-servlet-4_0-api >= 9.0.36-3.12.3
  • tomcat-webapps >= 9.0.36-3.12.3
SUSE Linux Enterprise Server 12 SP5
  • tomcat >= 9.0.36-3.50.1
  • tomcat-admin-webapps >= 9.0.36-3.50.1
  • tomcat-docs-webapp >= 9.0.36-3.50.1
  • tomcat-el-3_0-api >= 9.0.36-3.50.1
  • tomcat-javadoc >= 9.0.36-3.50.1
  • tomcat-jsp-2_3-api >= 9.0.36-3.50.1
  • tomcat-lib >= 9.0.36-3.50.1
  • tomcat-servlet-4_0-api >= 9.0.36-3.50.1
  • tomcat-webapps >= 9.0.36-3.50.1
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • tomcat >= 9.0.36-3.50.1
  • tomcat-admin-webapps >= 9.0.36-3.50.1
  • tomcat-docs-webapp >= 9.0.36-3.50.1
  • tomcat-el-3_0-api >= 9.0.36-3.50.1
  • tomcat-javadoc >= 9.0.36-3.50.1
  • tomcat-jsp-2_3-api >= 9.0.36-3.50.1
  • tomcat-lib >= 9.0.36-3.50.1
  • tomcat-servlet-4_0-api >= 9.0.36-3.50.1
  • tomcat-webapps >= 9.0.36-3.50.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 tomcat Not affected
SUSE Enterprise Storage 5 tomcat Not affected
SUSE Linux Enterprise 15-SP1 Module for Web and Scripting tomcat In progress
SUSE Linux Enterprise 15-SP2 Module for Web and Scripting tomcat In progress
SUSE Linux Enterprise High Performance Computing 12 SP5 tomcat In progress
SUSE Linux Enterprise High Performance Computing 15 LTSS tomcat Affected
SUSE Linux Enterprise Point of Service 11 SP3 tomcat6 Not affected
SUSE Linux Enterprise Point of Service Image Server 12 tomcat Not affected
SUSE Linux Enterprise Server 11 SP1 tomcat6 Not affected
SUSE Linux Enterprise Server 11 SP3 tomcat6 Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS tomcat6 Not affected
SUSE Linux Enterprise Server 12 SP2 BCL tomcat Not affected
SUSE Linux Enterprise Server 12 SP2 ESPOS tomcat Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS tomcat Not affected
SUSE Linux Enterprise Server 12 SP3 BCL tomcat Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS tomcat Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS tomcat Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS tomcat Affected
SUSE Linux Enterprise Server 12 SP4 LTSS tomcat Affected
SUSE Linux Enterprise Server 12 SP5 tomcat In progress
SUSE Linux Enterprise Server 15 LTSS tomcat Affected
SUSE Linux Enterprise Server ESPOS 15 tomcat Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 tomcat Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 tomcat Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 tomcat Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 tomcat In progress
SUSE Linux Enterprise Server for SAP Applications 15 tomcat Affected
SUSE OpenStack Cloud 7 tomcat Not affected
SUSE OpenStack Cloud 8 tomcat Not affected
SUSE OpenStack Cloud 9 tomcat Affected
SUSE OpenStack Cloud Crowbar 8 tomcat Not affected
SUSE OpenStack Cloud Crowbar 9 tomcat Affected